Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions
Lucene::SkipDocWriter Class Reference

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::SkipDocWriter:

## Public Member Functions

virtual | ~SkipDocWriter ()
virtual String | getClassName ()
boost::shared_ptr< SkipDocWriter > | shared_from_this ()
virtual void | finish ()
virtual void | abort ()
virtual int64_t | sizeInBytes ()
Public Member Functions inherited from Lucene::DocWriter
| DocWriter ()
virtual | ~DocWriter ()
boost::shared_ptr< DocWriter > | shared_from_this ()
virtual void | setNext (const DocWriterPtr &next)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocWriter
static String | _getClassName ()

## Additional Inherited Members

Data Fields inherited from Lucene::DocWriter
DocWriterPtr | next
int32_t | docID
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~SkipDocWriter()

virtual Lucene::SkipDocWriter::~SkipDocWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SkipDocWriter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::SkipDocWriter::abort | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ finish()

virtual void Lucene::SkipDocWriter::finish | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ getClassName()

virtual String Lucene::SkipDocWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocWriter.

## ◆ shared_from_this()

boost::shared_ptr< SkipDocWriter > Lucene::SkipDocWriter::shared_from_this | ( |  | ) |

inline

## ◆ sizeInBytes()

virtual int64_t Lucene::SkipDocWriter::sizeInBytes | ( |  | ) |

virtual

Implements Lucene::DocWriter.

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net